------------------------------------------------------------------------------------
--Name:  	thankgiving1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-10-24
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(436, 474)
local Player_1 = CppScriptMgr:AddSimplePlayer(1062484, 436, 478, "Big Turkey Brother", 0, 0)
Player_1:SetDir(4)
local Player_2 = CppScriptMgr:AddSimplePlayer(1054450, 439, 472, "Villager", 0, 0)
CppScriptMgr:WaitMilSec(200)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(310)
CppScriptMgr:NpcCallOut("You are too arrogant! I`m not that weak! Check this out!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2148", 150, 430, "Villager", 250, 655)
Player_2:Say("You are too arrogant! I`m not that weak! Check this out!", 1500)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(1190)
Player_2:SetAction(401)
local Effect_1 = CppScriptMgr:AddEffect("sea", 436, 478, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(380)
CppScriptMgr:NpcCallOut("Huh! Don`t try and overreach yourself!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJDG", 150, 430, "Big Turkey Brother", 250, 655)
Player_1:Say("Huh! Don`t try and overreach yourself!", 1000)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1470)
Player_2:SetAction(330)
CppScriptMgr:WaitMilSec(220)
local Effect_2 = CppScriptMgr:AddEffect("Nnhuolei", 439, 472, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(80)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e233", 446, 479, 33, 1, 1, 1)
local Player_3 = CppScriptMgr:AddSimplePlayer(1062532, 446, 479, "6th Turkey Brother", 0, 0)
Player_3:SetDir(2)
CppScriptMgr:WaitMilSec(1010)
Player_3:RunTo(439, 479)
CppScriptMgr:NpcCallOut("Brother! Stop!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
Player_3:Say("Brother! Stop!", 1000)
CppScriptMgr:WaitMilSec(140)
Player_2:SetFrameInterval(10000)
local Effect_4 = CppScriptMgr:AddEffect("vskieff_vmsue", 436, 478, 33, 1, 1, 1)
Player_2:SetAction(331)
CppScriptMgr:WaitMilSec(690)
Player_1:SetHide(1)
local effect_0 = CppScriptMgr:AddEffect("curse", 439, 472, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1100)
local Effect_5 = CppScriptMgr:AddEffect("zf2-e233", 434, 474, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(60)
local Player_4 = CppScriptMgr:QueryHero()
Player_4:SetDir(7)
Player_4:SetPos(434, 474)
CppScriptMgr:WaitMilSec(160)
local actor_name_0 = Player_4:GetName()
CppScriptMgr:WaitMilSec(290)
local npc_0 = CppScriptMgr:AddSimplePlayer(1062533, 439, 479, "6th Turkey Brother", 0, 0)
npc_0:SetDir(3)
CppScriptMgr:NpcCallOut("You can`t just let your siblings do whatever they like out there.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, actor_name_0, 250, 655)
Player_4:Say("You can`t just let your siblings do whatever they like out there.", 1500)
Player_3:SetHide(1)
CppScriptMgr:WaitMilSec(80)
Player_4:SetAction(160)
CppScriptMgr:WaitMilSec(2430)
CppScriptMgr:NpcCallOut("I would hate to see what they look like today, I hope you can help them!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
npc_0:Say("I would hate to see what they look like today, I hope you can help them!", 2000)
CppScriptMgr:WaitMilSec(1600)
CppScriptMgr:NpcCallOut("I will help you anyway.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, actor_name_0, 250, 655)
CppScriptMgr:WaitMilSec(180)
Player_4:Say("I will help you anyway.", 1500)
CppScriptMgr:WaitMilSec(170)
Player_4:SetAction(101)
CppScriptMgr:WaitMilSec(2120)